
# Interface: IViewerSettings

## Hierarchy

* **IViewerSettings**

## Index

### Properties

* [canvasBackground](iviewersettings.md#optional-canvasbackground)
* [canvasInitOptions](iviewersettings.md#optional-canvasinitoptions)
* [clearSelectionOnDocumentClick](iviewersettings.md#optional-clearselectionondocumentclick)
* [clearSelectionOnViewerClick](iviewersettings.md#optional-clearselectiononviewerclick)
* [rulerScale](iviewersettings.md#optional-rulerscale)

## Properties

### `Optional` canvasBackground

• **canvasBackground**? : *CanvasBackground*

___

### `Optional` canvasInitOptions

• **canvasInitOptions**? : *ICanvasInitOptions*

___

### `Optional` clearSelectionOnDocumentClick

• **clearSelectionOnDocumentClick**? : *boolean*

___

### `Optional` clearSelectionOnViewerClick

• **clearSelectionOnViewerClick**? : *boolean*

___

### `Optional` rulerScale

• **rulerScale**? : *number*
